package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsCategory;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsCategoryExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsCategoryMapper {
    
    int countByExample(InventoryGoodsCategoryExample example);
    
    int deleteByExample(InventoryGoodsCategoryExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsCategory record);
    
    int insertSelective(InventoryGoodsCategory record);
    
    List<InventoryGoodsCategory> selectByExample(InventoryGoodsCategoryExample example);
    
    InventoryGoodsCategory selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsCategory record, @Param("example") InventoryGoodsCategoryExample example);
    
    int updateByExample(@Param("record") InventoryGoodsCategory record, @Param("example") InventoryGoodsCategoryExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsCategory record);
    
    int updateByPrimaryKey(InventoryGoodsCategory record);
    
    void batchInsert(@Param("items") List<InventoryGoodsCategory> items);
    
    Integer findMaxCategoryPriority(@Param("orgId") Integer org, @Param("storeId") Integer store);
}